Bug 160937 - SCSI cd-writer/burner not detected in FC4
SCSI cd-writer/burner not detected in FC4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-18 19:18 EDT by Håvard Bjåstad
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.14-1.1637_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 09:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Håvard Bjåstad 2005-06-18 19:18:36 EDT
Opening a new bug on this, as #143311 has been marked a duplicate (which i don't
think it is). I have just installed FC4 and my Yamaha SCSI cd-writer is no
longer available. If i run 'cdrecord -scanbus' it is not listed. I have tried
Mandrake 10.1, which has the same problem. Earlier versions of various distros
have not had any problems using the device. And as a final test, I popped in
Knoppix, which of course detects it nicely.

So, the device is detected at boot time (listed by the SCSI adapter), it worked
fine in older distros and it works fine in Knoppix. So, my guess is that it has
to do with udev, but I will be happy to provide any more info that  you might
need to solve this. I really hate booting into Knoppix just to burn those CDs...


+++ This bug was initially created as a clone of Bug #143311 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.18

Description of problem:
In FC2 all was fine. In FC3, no more scsi yamaha burner.
cdrecord --scanbus gives:
       0,0,0     0) *
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) 'ADAPTEC ' 'ACB-5500        ' 'FAKE' NON CCS Disk
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *

The burner disappeared from the system.
It used to be present before.

Version-Release number of selected component (if applicable):
udev-039-10.FC3.6

How reproducible:
Always

Steps to Reproduce:
1. Install FC3 x86_64
2. Fire k3b
3. No more scsi burner
    

Actual Results:  Scsi Yamaha burner disappeared

Expected Results:  It should work as usual

Additional info:

udev doesn't create the relevant device, I suppose.
Comment 1 Håvard Bjåstad 2005-06-19 11:52:37 EDT
Output from cdrecord -scanbus on FC4:

$ cdrecord -scanbus
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c       1.83 04/05/20 Copyright
1997 J. Schilling').
scsibus1:
        1,0,0   100) 'HITACHI ' 'CDR-8335        ' '0008' Removable CD-ROM
        1,1,0   101) *
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *
Comment 2 Håvard Bjåstad 2005-06-19 12:21:11 EDT
Output from cdrecord -scanbus on Knoppix 3.6: 
 
$ cdrecord -scanbus 
Cdrecord-Clone 2.01a34 (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg 
Schilling 
NOTE: this version of cdrecord is an inofficial (modified) release of cdrecord 
      and thus may have bugs that are not present in the original version. 
      Please send bug reports and support requests to 
<cdrtools@packages.debian.org>. 
      The original author should not be bothered with problems of this 
version. 
 
Linux sg driver version: 3.1.25 
Using libscg version 'schily-0.8'. 
scsibus0: 
        0,0,0     0) 'HITACHI ' 'CDR-8335        ' '0008' Removable CD-ROM 
        0,1,0     1) * 
        0,2,0     2) * 
        0,3,0     3) * 
        0,4,0     4) * 
        0,5,0     5) * 
        0,6,0     6) * 
        0,7,0     7) * 
scsibus1: 
        1,0,0   100) * 
        1,1,0   101) * 
        1,2,0   102) 'YAMAHA  ' 'CDR400t         ' '1.0m' Removable CD-ROM 
        1,3,0   103) * 
        1,4,0   104) 'iomega  ' 'jaz 1GB         ' 'J.86' Removable Disk 
        1,5,0   105) * 
        1,6,0   106) * 
        1,7,0   107) * 
 
Comment 3 Håvard Bjåstad 2005-06-19 12:22:41 EDT
Also, please note that the output of cdrecord -scanbus is the same for root 
and regular users. This applies for FC4, as well as Knoppix 3.6. 
Comment 4 Harald Hoyer 2005-06-20 03:32:58 EDT
this is a kernel problem, see #134822
Comment 5 Håvard Bjåstad 2005-06-20 04:00:23 EDT
Bug #134822 is marked as resolved, how come it doesn't work with the latest FC4
release, then?
Comment 6 Dave Jones 2005-07-15 17:14:56 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 7 Håvard Bjåstad 2005-07-25 18:18:52 EDT
I just installed the new kernel. The result from 'cdrecord -scanbus' is the same...
Comment 8 Dave Jones 2005-11-10 14:24:11 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 9 Håvard Bjåstad 2005-11-23 03:06:37 EST
From my perspective, this issue bug can now be closed.

I just installed kernel-2.6.14-1.1637_FC4 and retested:

# cdrecord -scanbus
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c 1.83 04/05/20 Copyright 1997 J.
Schilling').
scsibus0:
        0,0,0     0) *
        0,1,0     1) *
        0,2,0     2) 'YAMAHA  ' 'CDR400t         ' '1.0m' Removable CD-ROM
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
Comment 10 Dave Jones 2006-02-03 01:42:11 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 John Thacker 2006-05-05 09:22:37 EDT
Closing due to previous comments.  Original submitter says that
an update fixed the issue.

Note You need to log in before you can comment on or make changes to this bug.